# 基础镜像地址记录

## Jenkins插件镜像

- 配置路径：`Dashboard > Manage Jenkins > Plugins > Advanced settings > Update Site > URL`
- 镜像地址：`https://mirrors.tuna.tsinghua.edu.cn/jenkins/updates/update-center.json`
- 点击 `submit` 使其生效

## Maven镜像仓库
### 阿里云Maven镜像仓库
- 配置路径 `settings.xml`
- ```xml
  <mirror>
    <id>aliyun-central</id>
    <name>aliyun-central</name>
    <url>https://maven.aliyun.com/repository/central</url>
    <mirrorOf>central</mirrorOf>
  </mirror>
  <mirror>
    <id>aliyun-public</id>
    <name>aliyun-public</name>
    <url>https://maven.aliyun.com/repository/public</url>
    <mirrorOf>public</mirrorOf>
  </mirror>
  ```
  
## NPM镜像仓库
- 使用方式
- ```shell
  npm config set registry https://registry.npmmirror.com
  #- 或者
  npm install xxx --registry https://registry.npmmirror.com
  ```
  
## Docker镜像仓库
- 为了加速镜像拉取，你可以使用以下命令设置 registry mirror:
- ```shell
  sudo tee /etc/docker/daemon.json <<EOF
  {
      "registry-mirrors": ["https://docker.zhai.cm"]
  }
  EOF
  ```
- 用法:
  - 原拉取镜像命令: `docker pull library/alpine:latest`
  - 加速拉取镜像命令: `docker pull docker.zhai.cm/library/alpine:latest`

- 其余备选列表：
  - https://fast360.xyz	正常
  - https://docker.m.daocloud.io	正常
  - https://1ms.run	正常
  - https://docker.zhai.cm	正常
  - https://docker.gbfeng.com	正常
  - https://hub.haod.eu.org	正常
  - https://xdark.top	正常